Skip to main content
GET
/
exchange_accounts
/
{exchangeAccountId}
/
{assetId}
TypeScript
const response: Promise<FireblocksResponse<ExchangeAsset>> = fireblocks.exchangeAccounts.getExchangeAccountAsset(exchangeAccountsApiGetExchangeAccountAssetRequest);
{
  "id": "<string>",
  "balance": "<string>",
  "lockedAmount": "<string>",
  "total": "<string>",
  "available": "<string>",
  "credit": "<string>",
  "assetId": "2306088f-97ed-4293-8d28-8ab627f272d7",
  "providerSymbol": "BTC",
  "assetSymbol": "BTC",
  "assetLegacyId": "BTC"
}

Path Parameters

exchangeAccountId
string
required

The ID of the exchange account to return

assetId
string
required

The ID of the asset to return

Response

An ExchangeAccountAsset object

id
string
deprecated

Deprecated. Use assetId or assetLegacyId instead.

balance
string
lockedAmount
string
total
string
available
string
credit
string
assetId
string

The Fireblocks asset id. Present only when Fireblocks can identify the exchange asset.

Example:

"2306088f-97ed-4293-8d28-8ab627f272d7"

providerSymbol
string

The symbol used by the exchange provider to identify the asset.

Example:

"BTC"

assetSymbol
string

The Fireblocks asset symbol. Present only when Fireblocks can identify the exchange asset.

Example:

"BTC"

assetLegacyId
string

The Fireblocks legacy asset id. Present only when Fireblocks can identify the exchange asset.

Example:

"BTC"